
Conversion Tools - Bug #1574

Feature # 1511 (New): Reporting v3

Feature # 1518 (New): report fixes

broken report links when they target very long filenames

10/01/2012 12:14 PM - Greg Shah

Status: Closed Start date: 10/01/2012

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Reporting 3.0   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/01/2012 12:16 PM - Greg Shah

From ECF:

I've noticed that some detail reports with really long names create links with longer names than the actual HTML page file names.

For example:

The link:

.../detail_logical_flarrearsenddatemustnotexistinput_integer_input_integer_input_character_input_logical_input_date_input_logi.html

The name of the actual file:

.../detail_logical_flarrearsenddatemustnotexistinput_integer_input_integer_input_character_input.html

I have your latest updates applied (including one with the fix to make safe names).

The result is that the filenames that exist do not match the links that are created, making for broken links.

#2 - 11/21/2012 09:10 AM - Greg Shah

- Target version changed from Milestone 2 to 25

#3 - 11/16/2016 01:34 PM - Greg Shah

- Target version changed from 25 to Reporting 3.0

#4 - 09/22/2017 01:36 PM - Eric Faulhaber

- % Done changed from 0 to 100

- Status changed from New to Closed
The implementation of dynamic reporting with v3 eliminated the requirement for this fix, since these files are no longer created.
